List customers by paypoint
Retrieves a list of customers for a paypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
The entity’s entrypoint identifier. Learn more
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records.
Collection of field names, conditions, and values used to filter the query.
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:
should become:
—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
See Filters and Conditions Reference for more details.
Accepted field names:
createdDate(gt, ge, lt, le, eq, ne)customernumber(ne, eq, ct, nct)firstname(ne, eq, ct, nct)lastname(ne, eq, ct, nct)name(ct, nct)address(ne, eq, ct, nct)city(ne, eq, ct, nct)country(ne, eq, ct, nct)zip(ne, eq, ct, nct)state(ne, eq, ct, nct)shippingaddress(ne, eq, ct, nct)shippingcity(ne, eq, ct, nct)shippingcountry(ne, eq, ct, nct)shippingzip(ne, eq, ct, nct)shippingstate(ne, eq, ct, nct)phone(ne, eq, ct, nct)email(ne, eq, ct, nct)company(ne, eq, ct, nct)username(ne, eq, ct, nct)balance(gt, ge, lt, le, eq, ne)status(in, nin, eq, ne)additional-xxx(ne, eq, ct, nct) where xxx is the additional field nameorgId(eq) mandatory when entry=orgpaypointId(ne, eq)paypointLegal(ne, eq, ct, nct)paypointDba(ne, eq, ct, nct)orgName(ne, eq, ct, nct)
Accepted comparison operators:
eqor empty => equalgt=> greater thange=> greater or equallt=> less thanle=> less or equalne=> not equalct=> containsnct=> not containsin=> inside array separated by ”|”nin=> not inside array separated by ”|”
Accepted parameters:
limitRecord: Max number of records for query (default=“20”, “0” or negative value for all)fromRecord: Initial record in query
Example Usage:
balance(gt)=20 will return all records with a balance greater than 20.00.
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.